| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
IG.Num.VectorFunctionBaseGeneral.ObjectStoreResults Class Reference

Storage for IVectorFunctionResults objects. More...

Inheritance diagram for IG.Num.VectorFunctionBaseGeneral.ObjectStoreResults:
[legend]
Collaboration diagram for IG.Num.VectorFunctionBaseGeneral.ObjectStoreResults:
[legend]

## Public Member Functions
| ObjectStoreResults (IVectorFunction vecfunc)
override bool | TryStore (IVectorFunctionResults obj)

## Protected Member Functions
override IVectorFunctionResults | TryGetNew ()

## Protected Attributes
IVectorFunction | _vecfunc

## Private Member Functions
| ObjectStoreResults ()

## Detailed Description

Storage for IVectorFunctionResults objects.

## Constructor & Destructor Documentation

IG.Num.VectorFunctionBaseGeneral.ObjectStoreResults.ObjectStoreResults | ( |  | ) |
| inline private

IG.Num.VectorFunctionBaseGeneral.ObjectStoreResults.ObjectStoreResults | ( | IVectorFunction | vecfunc | ) |
| inline

## Member Function Documentation

override IVectorFunctionResults IG.Num.VectorFunctionBaseGeneral.ObjectStoreResults.TryGetNew | ( |  | ) |
| inline protected

References IG.Num.IVectorFunction.NumParameters, and IG.Num.IVectorFunction.NumValues.

override bool IG.Num.VectorFunctionBaseGeneral.ObjectStoreResults.TryStore | ( | IVectorFunctionResults | obj | ) |
| inline

References IG.Num.IVectorFunctionResults.NullifyAll().

## Member Data Documentation

IVectorFunction IG.Num.VectorFunctionBaseGeneral.ObjectStoreResults._vecfunc
| protected

The documentation for this class was generated from the following file:

- igbase/numeric/FunctionVectorBaseGeneral.cs